Nexus Requirements

What it Takes

The table below outlines the system requirements for Nexus Repository Manager. Every software project operates in a unique environment. The hardware specified in the table is our recommendation based on load testing. The actual hardware required to achieve the performance you desire may vary.

 

Processors

2 Core 2.5Ghz+

Available Space

50G+ depending on number and size of artifacts

Available RAM

5Gb+

JRE Versions

Oracle: Java SE 7u21 or later. JRE version 8 received limited testing with no known issues. IBM: can be used, but support is on a best-effort basis.

Java Cryptography Extension (JCE) is required by some Nexus features.

Operating Systems

Generally, any machine that can run a supported Sun/Oracle Java version should work. See here for the list of operating systems that Oracle tests with.

Linux is the most widely-used and therefore best-tested platform.

Web Browsers (for UI)

Apple Safari - current release on OS X only
Google Chrome - current release
Internet Explorer - versions 9, 10, and 11
Mozilla Firefox - current release, and current extended support release
Opera is untested and unsupported.

Be Absolutely Sure

We would be happy to speak with you about your implementation. Just send us a description of your project and environment and we'll provide a recommendation for your situation.

You’re Not On Your Own

When you purchase Nexus Repository Manager, you'll get premium support including:

  • Installation Guidance
  • Configuration Guidance
  • Operational Guidance